package com.njcn.gather.report.pojo.enums;

import lombok.Getter;

/**
 * 影响量枚举
 * @author hongawen
 * @version 1.0
 * @data 2025/3/27 21:07
 */
@Getter
public enum AffectEnum {


    BASE("base", "额定工作条件下的检测"),
    VOL("vol", "电压对XX测量的影响"),
    FREQ("freq", "频率对XX测量的影响"),
    HARM("harm", "谐波对XX测量的影响");

    private String key;

    private String desc;

    AffectEnum(String key, String desc) {
        this.key = key;
        this.desc = desc;
    }

    /**
     * 根据key找到适配的枚举
     *
     * @param key 枚举的key
     * @return 匹配的枚举实例，如果没有找到则返回null
     */
    public static AffectEnum getByKey(String key) {
        for (AffectEnum affectEnum : AffectEnum.values()) {
            if (affectEnum.getKey().equalsIgnoreCase(key)) {
                return affectEnum;
            }
        }
        return null;
    }
}
